SELECT
  *
FROM garfield.inventory_map
LEFT JOIN garfield.snacks USING (snack_id)
LEFT JOIN garfield.snacks_available USING (snack_id)
LEFT JOIN garfield.tax_groups USING (tax_group_id)
LEFT JOIN garfield.locations USING (location_id)
WHERE inventory_id = %(item_id)s
ORDER BY
  snack_available DESC,
  snack_timestamp DESC
